Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression
Interface MethodExecutor

    public interface MethodExecutor

MethodExecutors are built by the resolvers and can be cached by the infrastructure to repeat an operation quickly without going back to the resolvers. For example, the particular method to run on an object may be discovered by the reflection method resolver - it will then build a MethodExecutor that executes that method and the MethodExecutor can be reused without needing to go back to the resolver to discover the method again.

They can become stale, and in that case should throw an AccessException - this will cause the infrastructure to go back to the resolvers to ask for a new one.

Since:
  3.0
Author:
  Andy Clement

Method Summary
`TypedValue` | `execute(EvaluationContext context, java.lang.Object target, java.lang.Object... arguments)` Execute a command using the specified arguments, and using the specified expression state.

Method Detail

### execute

    TypedValue execute(EvaluationContext context,
                       java.lang.Object target,
                       java.lang.Object... arguments)
                       throws AccessException

  Execute a command using the specified arguments, and using the specified expression state.

  Parameters:
    `context` - the evaluation context in which the command is being executed
    `target` - the target object of the call - null for static methods
    `arguments` - the arguments to the executor, should match (in terms of number and type) whatever the command will need to run
  Returns:
    the value returned from execution
  Throws:
    `AccessException` - if there is a problem executing the command or the MethodExecutor is no longer valid

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD